Subject: bug#45550: [PATCH] Factor out new function for readability in chartab.c

From: Stefan Kangas <[email-masked]>
Date: Wed, 30 Dec 2020 15:16:05 -0600

Eli Zaretskii <[email-masked]> writes:

> Please make this a macro, not a function.  The code you are factoring
> out is called in the innermost loops of the display engine, in bidi.c,
> so it must be as fast as possible, even in an unoptimized build, where
> static functions aren't inlined.

Would it be acceptable to use our INLINE macro here instead?  I see that
it is used quite a lot in dispextern.c.  Otherwise, I can of course
rewrite it to use a macro instead.